QuadRooter amenaza a 900 millones de dispositivos Android

android-malAndroid sigue dando grandes sustos a nivel de seguridad, ya que recientemente se ha descubierto una serie de vulnerabilidades en los chipsets de Qualcomm que afectan a 900 millones de dispositivos en todo el mundo.

Llamado QuadRooter, se trata de un conjunto de 4 vulnerabilidades descubiertas en dispositivos que usan Android Marshmallow y versiones anteriores del sistema de Google.

Combinado con un chipset de Qualcomm, un atacante podría obtener acceso como root sobre cualquier dispositivo que utilice el hardware del fabricante mencionado. Según las últimas estadísticas, 900 millones de dispositivos son una combinación del sistema Android y hardware Qualcomm.

Las vulnerabilidades han sido desveladas por los investigadores de Check Point en la conferencia sobre seguridad DEF CON 24, que se está celebrando en Las Vegas (Nevada, Estados Unidos). De forma resumida, QuadRooter se compone de lo siguiente:

CVE-2016-2503: Se trata de una vulnerabilidad hallada en el driver de GPU de Qualcomm y que ha sido corregida en el Boletín de Seguridad de Android correspondiente a julio de 2016.
CVE-2016-2504: Se trata de otra vulnerabilidad que afecta al driver de GPU de Qualcomm y que ha sido corregida en el Boletín de Seguridad de Android correspondiente a agosto de 2016.
CVE-2016-2059: Se trata de una vulnerabilidad encontrada en el módulo del kernel de Qualcomm. Fue corregida en abril del presente año, pero se desconoce el estado del parche para corregirla.
CVE-2016-5340: Otra vulnerabilidad corregida que afecta al driver de GPU de Qualcomm, aunque el estado del parche es desconocido.

Qualcomm es posiblemente el principal fabricante de hardware para dispositivos Android, acaparando el 65% de cuota en módems LTE. Los atacantes solo tienen que explotar una de las cuatro vulnerabilidades para realizar una escalada de privilegios y obtener acceso como administrador sobre el dispositivo afectado, ejecutando así el ataque llamado QuadRooter.

Para iniciar el ataque se tiene que enviar un programa malicioso a la víctima para que lo instale. Una vez realizado el proceso de instalación, el atacante ya tiene acceso como administrador. Según Check Point, esta es la única vía para poner en ejecución QuadRooter, por lo que no ser engañado por otra persona o ponerse a instalar aplicaciones de fuentes no oficiales será determinante para prevenirlo.

Lista de dispositivos más conocidos afectados por QuadRooter

 

Con 900 millones de dispositivos potencialmente vulnerables, es lógico pensar que los hay de todos los fabricantes imaginables. Sin embargo, se ha publicado una lista de los más mediáticos (no confundir con más utilizados) que son susceptibles de ser víctimas del ataque QuadRooter:

Samsung Galaxy S7 y Samsung S7 Edge.
Sony Xperia Z Ultra.
OnePlus One, OnePlus 2 y OnePlus 3.
Google Nexus 5X, Nexus 6 y Nexus 6P.
Blackphone 1 y Blackphone 2.
HTC One, HTC M9 y HTC 10.
LG G4, LG G5 y LG V10.
New Moto X de Motorola.
BlackBerry Priv.

Cómo comprobar si tu dispositivo es vulnerable

 

La propia Check Point se ha encargado de lanzar una aplicación para Android que comprueba si tu dispositivo es vulerable a QuadRooter.

Hasta el momento tres de las cuatro vulnerabilidades ya han sido resueltas por Google a través de las actualizaciones mensuales, mientras que la que queda lo estará en septiembre. Por otro lado, el hecho de que las actualizaciones dependan de los fabricantes hará que solo los dispositivos Nexus con soporte tengan acceso seguro a los parches, por lo que cientos de millones de dispositivos corren el riesgo de quedarse desprotegidos para siempre.

Fuente: The Hacker News, muyseguridad

Comparte esto en:

Tags: , , , , ,

9 Agosto 2016 | General, Informativo, Malware, Móviles

Deja un Comentario